package com.emarcotte.glfoo.math;

import org.junit.Test;

import junit.framework.Assert;

public class TestVector2 {

	@Test
	public void testSetAndGet() {
		Vector2 v1 = new Vector2();
		v1.setI(1.0);
		v1.setJ(2.0);
		Assert.assertEquals(v1.getI(), 1.0);
		Assert.assertEquals(v1.getJ(), 2.0);
	}

	@Test
	public void testVectorSetAndGet() {
		Vector2 v1 = new Vector2();
		v1.setI(1.0);
		v1.setJ(1.0);
		Assert.assertEquals(v1.getI(), 1.0);
		Assert.assertEquals(v1.getJ(), 1.0);

		System.out.println(v1.direction());

		Vector2 v2 = new Vector2();
		v2.vectorset(1, .45);
		Assert.assertEquals(.45, v2.direction());
	}
}
