package com.emarcotte.testrio;

import com.emarcotte.glfoo.math.Vector3;

/**
 * @author Eugene Marcotte
 */
public class MD5Weight {

	private Vector3 position;

	/**
	 * Weight of this weight.
	 */
	private double bias;

	/**
	 * Index of the joint this weight is attached to.
	 */
	private int joint;

	public MD5Weight(double x, double y, double z, double weightValue, int j) {
		this.position = new Vector3(x, y, z);
		this.bias = weightValue;
		this.joint = j;
	}

	public Vector3 getPosition() {
		return position;
	}

	public double getBias() {
		return bias;
	}

	public int getJoint() {
		return joint;
	}
}
