package com.emarcotte.glfoo;

import java.awt.Point;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

/**
 * It was sort of necessary to repackage up the interfaces for mouse handling. I
 * tend to use both types of handlers at the same time. In addition I added
 * another method to find where the mouse is.
 * 
 * @author Eugene Marcotte <emarcotte@gmail.com>
 */
public interface MouseHandler extends MouseMotionListener, MouseListener {
	/**
	 * Get the location of the mouse.
	 * 
	 * @return A point for where the mouse is.
	 */
	public Point getMousePoint();
}
